REPO(1)

NAME
repo - repo start - manual page for repo start

SYNOPSIS
repo start <newbranchname> [--all | <project>...]

DESCRIPTION
Summary

Start a new branch for development

OPTIONS

-h, --help
    show this help message and exit

-j JOBS, --jobs=JOBS
    number of jobs to run in parallel (default: based on number of CPU cores)

--all
    begin branch in all projects

-r REVISION, --rev=REVISION, --revision=REVISION
    point branch at this revision instead of upstream

--head, --HEAD
    abbreviation for --rev HEAD

  Logging options:

-v, --verbose
    show all output

-q, --quiet
    only show errors

  Multi-manifest options:

--outer-manifest
    operate starting at the outermost manifest

--no-outer-manifest
    do not operate on outer manifests

--this-manifest-only
    only operate on this (sub)manifest

--no-this-manifest-only, --all-manifests
    operate on this manifest and its submanifests

Run `repo help start` to view the detailed manual.

DETAILS

'repo start' begins a new branch of development, starting from the revision specified in the manifest.